import Orange

train = Orange.data.Table("genestrain") #genestrain
blind = Orange.data.Table("genesblind")

learner = Orange.classification.bayes.NaiveLearner()
classifier = learner(train)
classInt = {'CEU' : 0, 'GIH': 1, 'JPT': 2, 'ASW' : 3, 'YRI' : 4 }

results = [str(classifier(d)) for d in blind]
intResults = [str(classInt[r]) for r in results]

print ' '.join(intResults)

#for d in blind:
#    c = classifier(d)
#    print "%10s" % (classifier(d))
